package main

import (
	"code.wuban.net.cn/cmpchain/ethtracer/evm/vm"
	"code.wuban.net.cn/cmpchain/ethtracer/params"
	"math/big"
)

func main() {
	// just for compile.
	env := vm.NewEVM(vm.BlockContext{}, nil, &params.ChainConfig{
		ChainID: big.NewInt(100),
	}, vm.Config{})
	if env == nil {
		panic("failed to create EVM environment")
	}
}
